<?php
/**
 * A wrapper for database access to government->user data
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Ship-Simu Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class UserGovernmentDatabaseWrapper extends BaseDatabaseWrapper {
	// Constants for database tables
	const DB_TABLE_USER_GOVERNMENT = 'gov_user';

	// Database columns
	const DB_COLUMN_GOV_USERID   = 'gov_uid';
	const DB_COLUMN_GOV_ACTIVITY = 'gov_activity_status';

	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	/**
	 * Creates an instance of this wrapper class
	 *
	 * @return	$wrapperInstance	An instance of this wrapper class
	 */
	public static final function createUserGovernmentDatabaseWrapper () {
		// Create a new instance
		$wrapperInstance = new UserGovernmentDatabaseWrapper();

		// Set (primary!) table name
		$wrapperInstance->setTableName(self::DB_TABLE_USER_GOVERNMENT);

		// Return the instance
		return $wrapperInstance;
	}

	/**
	 * Registers the given startup help request with the government
	 *
	 * @param	$requestInstance	A Requestable instance
	 * @return	void
	 */
	public function registerStartupHelpByRequest (Requestable $requestInstance) {
		$requestInstance->debugInstance();
	}
}

// [EOF]
?>
